#{extends 'borderNG.html' /}

#{set 'titleHead'}
Cari Non Tender
#{/set}
<ul class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}">Beranda</a></li>
    <li class="active">Summary Non Tender</li>
</ul>
<div class="content">
    <table id="tbllelang" class="table table-sm">
        <thead>
        <tr>
            <th width="30">Kode Non Tender</th>
            <th>Nama Paket</th>
            <th width="100">Tanggal Pembuatan</th>
            <th>K/L/PD</th>
            <th>Satuan Kerja</th>
            <th width="60">Pagu</th>
            <th width="60">HPS</th>
            <th width="120">Tahap</th>
            <th width="10"> </th>
        </tr>
        </thead>
    </table>

</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">
var viewpdf    = #{jsRoute @admin.UtilityCtr.viewPDFPl(':id') /};

var viewTahap  = #{jsRoute @nonlelang.JadwalPlCtr.tahap(':id') /};

var table = $("#tbllelang").DataTable({
        ajax: "@{DataTableCtr.summaryNonTender()}",
        columns: [{render: function(data, type, row) {
                var id = row[0]
        		var paket = row[1]
        		var spell = row[7];
        		var pktId = row[9];
        		var x = 'Tender Sudah Selesai';
        		row[7] = '<a href="'+viewTahap.url({id:id})+'" target="_blank">'+row[7]+'</a>'
        		if(spell==x)
        			row[8]='<a href="'+viewpdf.url({id:id})+'" ><img border="0" width="20" height="20" src="#{assets '/images/pdf_icn.gif'/}"  /></a>'
        		else
        			row[8]=null
        		return row[0];
        	}},null,null,null, null, null, null,null,{sortable:false}]
    });
    $('#tbllelang_filter input').unbind();
    $('#tbllelang_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
</script>
#{/set}



